{
  name: "Solar Blessing",
  num: -9005,
  accuracy: true,
  basePower: 0,
  category: "Status",
  pp: 5,
  priority: 0,
  flags: { snatch: 1, metronome: 1, heal: 1 },
  onHit(pokemon) {
    let healed = false;
    for (const ally of pokemon.alliesAndSelf()) {
      if (ally.hp > 0 && ally.hp < ally.maxhp) {
        this.heal(Math.floor(ally.maxhp / 4), ally);
        healed = true;
      }
      this.boost({ atk: 1, spa: 1 }, ally);
    }
    if (!healed) this.add('-fail', pokemon, 'move: Solar Blessing');
  },
  secondary: null,
  target: "allies",
  type: "Fire"
}
